import Koa from "koa";
import _locreq from "locreq";
import { resolve } from "path";
import Static from "koa-static";
import Router from "@koa/router";
import mount from "koa-mount";
const locreq = _locreq(__dirname);
import Sealious, { App } from "sealious";

declare module "koa" {
	interface BaseContext {
		$context: Sealious.Context;
		$app: Sealious.App;
		$body: Record<string, unknown>;
	}
}
const app = new (class extends App {
	config = {
		upload_path: locreq.resolve("uploaded_files"),
		datastore_mongo: {
			host: "localhost",
			port: 20724,
			db_name: "cloud-dashboard",
		},
		email: {
			from_address: "sealious-playground@example.com",
			from_name: "Sealious playground app",
		},
	};

	manifest = {
		name: "Sealious Playground",
		logo: resolve(__dirname, "../assets/logo.png"),
		version: "0.0.1",
		default_language: "en",
		base_url: "http://localhost:8080",
		admin_email: "admin@example.com",
		colors: {
			primary: "#5294a1",
		},
	};
	collections = {
		...App.BaseCollections,
	};
})();

const port = 3000;

console.log(`Listening on 127.0.0.1:${port}`);
app.start();
app.HTTPServer.addStaticRoute("/", locreq.resolve("public"));
