export interface File {
	img: string;
	id: string;
	selected: boolean;
}
interface FilesState {
	files: Array<File>;
}
interface FilesAction {
	type: string;
	payload: {
		img?: any;
		id: string;
		selected?: boolean;
	};
}
export const filesInitialState = {
	files: [],
};
export function fileReducer(state: FilesState, action: FilesAction) {
	switch (action.type) {
		case "ADD_FILE":
			return {
				...state,
				files: [
					...state.files,
					{
						img: action.payload.img,
						id: action.payload.id,
						selected: action.payload.selected,
					},
				],
			};
		case "SELECT_FILE":
			return {
				...state,
				files: state.files.map((file: File) =>
					file.id == action.payload.id
						? { ...file, selected: true }
						: { ...file, selected: false }
				),
			};
		case "CLEAR_FILES":
			return {
				files: [],
			};
		default:
			throw new Error();
	}
}
