import { Address } from "./location";
interface FormState {
	name: string;
	email: string;
	plate: string;
	offenses: string[];
	comment: string;
	my_address: string;
	address: Address;
}
interface FormAction {
	type: string;
	payload: {
		field: string;
		value: string | Address;
	};
}
export const fromInitialState = {
	name: "",
	email: "",
	plate: "",
	my_address: "",
	offenses: [],
	comment: "",
	address: {
		house_number: "",
		road: "",
		suburb: "",
		neighbourhood: "",
		hamlet: "",
	},
};
export function formReducer(state: FormState, action: FormAction) {
	switch (action.type) {
		case "CHANGE_FIELD":
			return {
				...state,
				//action.payload.field is equal to name of the imput, example: e.target.name = plate
				[action.payload.field]: action.payload.value,
			};
		case "ADD_OFFENCE":
			return {
				...state,
				offenses: [...state.offenses, action.payload.value],
			};
		case "DELETE_OFFENCE":
			return {
				...state,
				offenses: state.offenses.filter(
					(offence: string) => offence !== action.payload.value
				),
			};
		case "CHANGE_ADDRESS":
			return {
				...state,
			};
		default:
			throw new Error();
	}
}
