import { getJSON } from "./http";

export type Location = {
	lat: number;
	lon: number;
};

export type Address = {
	house_number: string;
	road: string;
	suburb: string;
	neighbourhood: string;
	hamlet: string;
};

export async function getAddress(location: Location): Promise<Address> {
	const nominatim_url = `https://nominatim.openstreetmap.org/reverse?lat=${location.lat}&lon=${location.lon}&format=jsonv2`;
	const nominatim_data = (await getJSON(nominatim_url)) as {
		address: Address;
	};
	return nominatim_data.address;
}
